#Chapter 10:One-way ANOVA
#Read in data
oneway_c10_data <- data.frame(
  participant = 1:40,
  condition = c(rep('control', 10), rep('one_session', 10), rep('two_sessions', 10), rep('three_sessions', 10)),
  attr_score = c(4, 4, 6, 5, 7, 3, 4, 2, 5, 4, 4, 5, 7, 8, 6, 9, 7, 8, 5, 5, 5, 8, 9, 9, 5, 8, 8, 9, 8, 9, 9, 6, 9, 7, 6, 6, 7, 9, 8, 8))
#Run one-way ANOVA
oneway_output <- aov(data=oneway_c10_data, attr_score ~ condition)
#Get the output of the one-way ANOVA
summary(oneway_output, scipen=999)

#Two-way Anova
#Read in data
twoway_c10_data <- data.frame(
  participant = 1:48,
  intensity = c(rep('soft', 24), rep('loud', 24)),
  uncontrollability = c(rep('controllable', 12), rep('uncontrollable', 12), rep('controllable', 12), rep('uncontrollable', 12)), 
  distress = c(6, 6, 7, 7, 8, 8, 8, 8, 9, 9, 10, 10, 3, 3, 4, 4, 5, 5, 5, 5, 6, 6, 7, 7, 4, 4, 5, 5, 6, 6, 6, 6, 7, 7, 8, 8, 6, 6, 7, 7, 8, 8, 8, 8, 9, 9, 10, 10))
#Run two-way ANOVA
twoway_output <- aov(data = twoway_c10_data, distress ~ intensity*uncontrollability)
#Get the output of the two-way ANOVA
summary(twoway_output, scipen=999)

#Optional extra: For visualising the interaction
#Make an interaction plot
interaction.plot(x.factor = twoway_c10_data$intensity, 
                 trace.factor = twoway_c10_data$uncontrollability,
                 response = twoway_c10_data$distress,
                 type = "b",
                 xlab = "Intensity",
                 ylab = "Distress",
                 trace.label = "Uncontrollability",
                 legend = TRUE)
