#Chapter 8: Answers
#Question 8a
#Independent samples/Between-participants t-test
#enter the  data
exercise_8a_data <- data.frame(milk =	c(7,6,7,7,8,8,9,5,6,7), beer = c(6,5,6,7,5,3,7,6,7,5))
#Run the between-participants t-test
t.test(exercise_8a_data$milk,exercise_8a_data$beer, paired = FALSE,var.equal = TRUE)

#Question 8b
#Paired samples/Within-participants t-test
#enter the  data
exercise_8b_data <- data.frame(participant = c (1:10), milk =	c(7,6,7,7,8,8,9,5,6,7), beer = c(6,5,6,7,5,3,7,6,7,5))
#Run the within-participants t-test
t.test(exercise_8b_data$milk,exercise_8b_data$beer, paired = TRUE,var.equal = TRUE)

#Question 8e
#enter the data
exercise_8e_data <- data.frame(participant = c (1:10), test_score = c(111,101,94,131,120,98,114,113,132,109))
#Run the one-sample t-test
t.test (exercise_8e_data$test_score, mu = 100, var.equal = TRUE)


#Chapter 9: Answers
#Question 9a
#read in data
exercise_9a_data <- data.frame(age=c(10,11,11,12,12,12,13,13,14,14,15,16), 
                                   speed=c(150,160,165,155,140,130,120,135,130,115,110,120), 
                                   attention=c(2,1,1,2,4,3,4,1,3,3,2,3), 
                                   accuracy=c(2,3,2,4,1,5,3,7,3,5,6,5))
#run correlation between age and speed
cor.test(exercise_9a_data$age, exercise_9a_data$speed)
#create age and speed scatter plot
plot(exercise_9a_data$age, exercise_9a_data$speed, xlab = "Age", ylab= "Speed")

#run correlation between age and attention
cor.test(exercise_9a_data$age, exercise_9a_data$attention)
#create age and speed scatter plot
plot(exercise_9a_data$age, exercise_9a_data$attention, xlab = "Age", ylab= "Attention")

#run correlation between age and accuracy
cor.test(exercise_9a_data$age, exercise_9a_data$accuracy)
#create age and speed scatter plot
plot(exercise_9a_data$age, exercise_9a_data$accuracy, xlab = "Age", ylab= "Accuracy")

#Question 9e
#read in data
exercise_9e_data <- data.frame(participant=c(1:10), age_9yrs=c(10,10,11,11,14,15,12,14,11,9),
                                   age_12yrs=c(13,15,12,9,17,18,17,16,15,12))
#run within-participants t-test
t.test(exercise_9e_data$age_9yrs,exercise_9e_data$age_12yrs, 
       paired = TRUE,var.equal = TRUE)
#run correlation
cor.test(exercise_9e_data$age_9yrs,exercise_9e_data$age_12yrs)

#Chapter 10: Answers
#Question 10a
#Read in data
exercise_10a_data <- data.frame(age=c(rep('10-11yrs',10), rep('12-13yrs',10), rep('14-15yrs', 10), rep('16-17yrs', 10)),
                                moral_reasoning=c(32,43,54,31,29,27,33,43,49,35,35,44,56,65,71,62,61,48,39,47,54,57,62,70,49,61,55,55,60,64,56,65,75,66,77,81,87,75,63,68))
#Run one-way ANOVA
oneway_output <- aov(data=exercise_10a_data, moral_reasoning~age)
#Get the output of the one-way ANOVA
summary(oneway_output, scipen=999)
#Look at means to help interpretation
aggregate(exercise_10a_data$moral_reasoning, list(exercise_10a_data$age), FUN=mean) 

#Question 10b
#Read in data
exercise_10b_data <- data.frame(
  crime_rate = c(rep('high', 10), rep('low', 10), rep('high', 10), rep('low', 10)),
  age =c(rep('10-11yrs',20), rep('12-13yrs',20)),
  moral_reasoning=c(32,43,54,31,29,27,33,43,49,35,54,57,62,70,49,61,55,55,60,64,65,64,56,75,71,68,63,68,69,77,56,65,75,66,77,81,87,75,63,68))
#Run two-way ANOVA
twoway_output <- aov(data = exercise_10b_data, moral_reasoning ~ crime_rate*age)
#Get the output of the two-way ANOVA
summary(twoway_output, scipen=999)
#Look at means to help interpretation, note emmean = Mean for that cell (e.g., high crime 10-11year olds)
install.packages('emmeans')
library(emmeans)
emmeans(twoway_output, ~crime_rate*age)

#Chapter 12: Answers
#Question 12b_iii
observed_1 <- c(16, 27)  #Observed frequencies
#Perform chi-square goodness-of-fit test
gof_result <- chisq.test(observed_1, p = c(1/2, 1/2))
#Get the result of the test
print(gof_result)

#Question 12b_iv
observed_2 <- matrix(c(16, 27, 28, 29), nrow = 2, byrow = TRUE)
rownames(observed_2) <- c("Amnesia", "Control")
colnames(observed_2) <- c("Poem", "Song")
# Perform chi-square test,
chi_square_result <- chisq.test(observed_2, correct=FALSE)
#Get the result of the test
print(chi_square_result)
